Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Trace Class Reference

A C++ trace facility that keeps track of which methods are entered and exited. More...

`#include <Trace.h>`

List of all members.

## Public Member Functions
| ACE_Trace (const ACE_TCHAR *n, int line=0, const ACE_TCHAR *file=ACE_LIB_TEXT(""))
| ~ACE_Trace (void)
void | dump (void) const
| Dump the state of an object.
## Static Public Member Functions
int | is_tracing (void)
| Determine if tracing is enabled (return == 1) or not (== 0).
void | start_tracing (void)
| Enable the tracing facility.
void | stop_tracing (void)
| Disable the tracing facility.
void | set_nesting_indent (int indent)
| Change the nesting indentation level.
int | get_nesting_indent (void)
| Get the nesting indentation level.
## Private Types
enum | { DEFAULT_INDENT = 3, DEFAULT_TRACING = 1 }
| Default values. More...
## Private Attributes
const ACE_TCHAR * | name_
| Name of the method we are in.
## Static Private Attributes
int | nesting_indent_ = ACE_Trace::DEFAULT_INDENT
| Keeps track of how far to indent per trace call.
int | enable_tracing_ = ACE_Trace::DEFAULT_TRACING
| Is tracing enabled?

## Detailed Description

A C++ trace facility that keeps track of which methods are entered and exited.

This class uses C++ constructors and destructors to automate the ACE_Trace nesting. In addition, thread-specific storage is used to enable multiple threads to work correctly.

## Member Enumeration Documentation

anonymous enum`[private]`

  | Default values. Enumeration values:
  DEFAULT_INDENT |
  DEFAULT_TRACING |

## Constructor & Destructor Documentation

ACE_Trace::ACE_Trace | ( | const ACE_TCHAR * | n,
|  | int | line = `0`,
|  | const ACE_TCHAR * | file = `ACE_LIB_TEXT("")`
| ) |

| Perform the first part of the trace, which prints out the string N, the LINE, and the ACE_FILE as the function is entered.

ACE_Trace::~ACE_Trace | ( | void |  | ) |

| Perform the second part of the trace, which prints out the NAME as the function is exited.

## Member Function Documentation

void ACE_Trace::dump | ( | void |  | ) | const

| Dump the state of an object.

int ACE_Trace::get_nesting_indent | ( | void |  | ) | `[static]`

| Get the nesting indentation level.

int ACE_Trace::is_tracing | ( | void |  | ) | `[static]`

| Determine if tracing is enabled (return == 1) or not (== 0).

void ACE_Trace::set_nesting_indent | ( | int | indent | ) | `[static]`

| Change the nesting indentation level.

void ACE_Trace::start_tracing | ( | void |  | ) | `[static]`

| Enable the tracing facility.

void ACE_Trace::stop_tracing | ( | void |  | ) | `[static]`

| Disable the tracing facility.

## Member Data Documentation

int ACE_Trace::enable_tracing_ = ACE_Trace::DEFAULT_TRACING`[static, private]`

| Is tracing enabled?

const ACE_TCHAR* ACE_Trace::name_`[private]`

| Name of the method we are in.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL int ACE_Trace::nesting_indent_ = ACE_Trace::DEFAULT_INDENT`[static, private]`

| Keeps track of how far to indent per trace call.

The documentation for this class was generated from the following files:

- Trace.h
- Trace.cpp